PublicService

Full documentation for this service is available at /documentation/public-service.

GetSearchResult |WebMethod|

DEPRECATED: Use Search in SearchService instead. Search for items.

Parameters
  1. query, The search query
  2. categoryId, The Id of the category to search in (0 for all categories)
  3. pageNumber, The page to return, starting with 1 for the first page.
  4. orderBy, How the results should be ordered
Returns

Filled SearchResult object

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/PublicService.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/GetSearchResult"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetSearchResult xmlns="http://api.tradera.com">
      <query>query</query>
      <categoryId>categoryId</categoryId>
      <pageNumber>pageNumber</pageNumber>
      <orderBy>orderBy</orderBy>
    </GetSearchResult>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetSearchResultResponse xmlns="http://api.tradera.com">
      <GetSearchResultResult>Filled SearchResult object</GetSearchResultResult>
    </GetSearchResultResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/PublicService.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetSearchResult xmlns="http://api.tradera.com">
      <query>query</query>
      <categoryId>categoryId</categoryId>
      <pageNumber>pageNumber</pageNumber>
      <orderBy>orderBy</orderBy>
    </GetSearchResult>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetSearchResultResponse xmlns="http://api.tradera.com">
      <GetSearchResultResult>Filled SearchResult object</GetSearchResultResult>
    </GetSearchResultResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/PublicService.asmx/GetSearchResult?appId=string&appKey=string&query=string&categoryId=string&pageNumber=string&orderBy=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetSearchResultResult xmlns="http://api.tradera.com">Filled SearchResult object</GetSearchResultResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/PublicService.asmx/GetSearchResult HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&query=string&categoryId=string&pageNumber=string&orderBy=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetSearchResultResult xmlns="http://api.tradera.com">Filled SearchResult object</GetSearchResultResult>